/*
  Module SPIFFS_ESP32
  part of Arduino Mega Server project
*/

//#ifdef FEATURE_SPIFFS

int val;
size_t total,used;

void info() {
  total = SPIFFS.totalBytes();
  used = SPIFFS.usedBytes();
  Serial.println("*** SPIFFS info ***");
  Serial.print("SPIFFS size: "); Serial.print(total); Serial.println(" B");
  Serial.print("SPIFFS used: "); Serial.print(used); Serial.println(" B");
  Serial.print("SPIFFS free: "); Serial.print(total - used); Serial.println(" B");
  Serial.println("");
}
void initSpiffs(void) {
//void setup(void) {
  Serial.println("");
  Serial.println("$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$");
  Serial.println("$    Command 'I' in terminal arduino IDE -> info SPIFFS          $");
  Serial.println("$    Command 'F' in terminal arduino IDE -> formatting SPIFFS    $");
  Serial.println("$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$");
  Serial.println("");
  SPIFFS.begin(true);
  info();
}

void workSpiffs() {
  HTTP.handleClient();
  val = Serial.read ();
  if (val == 'I') {
    info();
  }
  if (val == 'F') { 
    Serial.println("*** Formatting SPIFFS ***");
    SPIFFS.format();
    Serial.println("*** Formatting completed! ***");
    Serial.println("");
    info();
    }
}

//#endif

